%% skript pro vyhodnocování EEG záznamu naměřených zařízením Bitalino
[eeg_signal,lux,time,nazev_souboru] = nacitani_souboru()  % funkce pro načtení souboru
figure('units','normalized','outerposition',[0 0 1 1])  %vykreslení vybraného eeg signálu
plot(time,eeg_signal,'Color',[0, 0.4470, 0.7410])
xlim([0 inf])
title(['EEG signál' nazev_souboru])
ax = gca;
ax.FontSize = 20;
xlabel 'čas [s]'
ylabel 'U [V]'
[length_lux,length_signal,tretina]=pomocna_fce(lux,eeg_signal) % pomocná funkce pro rozměření signálu
nazev_souboru=nazev_souboru{1}
[vektor,cas]=luxmetr(lux) % zjištění změn v signálu luxmetru
[pozice,indexy]=zmeny_v_eeg(time,cas) % zaznačení změn do signálu eeg
[klik]=vykresleni_signalu(tretina,cas,eeg_signal,time)    % vykreslení grafů a uživatelské kliknutí
if length(klik)==0
    disp('Nebyl vybran zadny signal.');
else
    [pozice_hvezdicek, pozice_hvezdicek_cas]=pribuzne_hvezdicky(pozice,klik); % funkce pro hledání nejbližších změn v eeg k uživatelkému kliku
    [matA]=suma(pozice_hvezdicek, pozice_hvezdicek_cas,eeg_signal);  % funkce pro vytvoření průměrné hodnoty z vybraných úseků signálu 
end
filename=['vysledky_' nazev_souboru];       % uložení zhodnocení do proměnné s názvem vysledky zvolených dat
save(filename,'nazev_souboru','klik','matA')
saveas(gcf,[nazev_souboru '.png'])
